import { MatDialogRef } from '@angular/material/dialog';
import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class UpdateViewComponent implements OnInit {
    dialogRef: MatDialogRef<UpdateViewComponent>;
    data: any;
    private router;
    techlifyUpdate: any;
    rootNavUrl: any;
    constructor(dialogRef: MatDialogRef<UpdateViewComponent>, data: any, router: Router);
    ngOnInit(): void;
    close(): void;
    openUpdateHistory(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UpdateViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UpdateViewComponent, "app-update-view", never, {}, {}, never, never, false, never>;
}
